## org.undp.weblog
Class WebLogComment

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  org.undp.weblog.WebLogComment

public class WebLogComment
extends com.arsdigita.kernel.ACSObject

Author:
  Peter Kopunec

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`
`static String` `PARAM_COMMENT`
`static String` `PARAM_MODIFIED`
`static String` `PARAM_OWNER`
`static String` `PARAM_WEBLOG`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE, versionId`

Constructor Summary
`WebLogComment()`
`WebLogComment(BigDecimal id)`
`WebLogComment(com.arsdigita.persistence.DataObject dataObject)`

Method Summary
`protected void` `beforeSave()`
`protected String` `getBaseDataObjectType()`
`String` `getComment()`
`Date` `getModified()`
`com.arsdigita.kernel.User` `getOwner()`
`WebLog` `getWebLog()`
`void` `setComment(String comment)`
`void` `setOwner(com.arsdigita.kernel.User owner)`
`void` `setWebLog(WebLog webLog)`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getContainer, getDefaultDomainClass, getDisplayName, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, isContainerModified, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, afterDelete, afterSave, beforeDelete, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

### PARAM_COMMENT

    public static final String PARAM_COMMENT

See Also:
  Constant Field Values

### PARAM_MODIFIED

    public static final String PARAM_MODIFIED

See Also:
  Constant Field Values

### PARAM_WEBLOG

    public static final String PARAM_WEBLOG

See Also:
  Constant Field Values

### PARAM_OWNER

    public static final String PARAM_OWNER

See Also:
  Constant Field Values

Constructor Detail

### WebLogComment

    public WebLogComment()

### WebLogComment

    public WebLogComment(com.arsdigita.persistence.DataObject dataObject)

### WebLogComment

    public WebLogComment(BigDecimal id)

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### setComment

    public void setComment(String comment)

### setWebLog

    public void setWebLog(WebLog webLog)

### setOwner

    public void setOwner(com.arsdigita.kernel.User owner)

### getComment

    public String getComment()

### getModified

    public Date getModified()

### getWebLog

    public WebLog getWebLog()

### getOwner

    public com.arsdigita.kernel.User getOwner()

### beforeSave

    protected void beforeSave()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1153 UTC